Rails.application.routes.draw do
  namespace :panel do
    namespace :announcement do
      namespace :back_end do
        match 'public' => "announcements#public",:as => :public
        match 'approval_setting' => "approvals#setting" ,:as => :approval_setting,:via => :get
        match 'approval_setting' => "approvals#update_setting" ,:as => :approval_setting,:via => :post
        match 'approval_setting' => "approvals#user_list" ,:as => :approval_user_list,:via => :put
        resources :bulletins do
          match "approve/:bulletin_id"  => "approvals#preview_and_approve",:as => :approval_preview,:via => :put
          match "approve/:bulletin_id"  => "approvals#approve",:as => :approve,:via => :post
          match "link_quick_add/:bulletin_id" => "bulletins#link_quick_add" ,:as => :link_quick_add
          match "link_quick_edit/:bulletin_id" => "bulletins#link_quick_edit" ,:as => :link_quick_edit
          member do
            get 'load_quick_edit'
          end
          collection do
            post 'delete'
          end
          match "file_quick_add/:bulletin_id" => "bulletins#file_quick_add" ,:as => :file_quick_add
          match "file_quick_edit/:bulletin_id" => "bulletins#file_quick_edit" ,:as => :file_quick_edit
        end
		
        resources :bulletin_categorys 
		
		resources :bulletin_links, :controller => 'bulletin_links' do
          match "link_quick_edit/:bulletin_link_id" => "bulletin_links#link_quick_edit" ,:as => :link_quick_edit
        end
		
		resources :bulletin_files, :controller => 'bulletin_files' do
          match "file_quick_edit/:bulletin_file_id" => "bulletin_files#file_quick_edit" ,:as => :file_quick_edit
        end
		
        resources :tags
      end
      namespace :front_end do
        resources :bulletins # do
        #           match "preview" => "bulletins#preview_content",:as => :get_preview_content
        #         end
      end
      namespace :widget do
        match "bulletins" => "bulletins#index"
        match "bulletins_and_web_links" => "bulletins#bulletins_and_web_links"
        match "reload_bulletins" => "bulletins#reload_bulletins"
        match "reload_web_links" => "bulletins#reload_web_links"
        match "bulletins_side_bar" => "bulletins#bulletins_side_bar"
      end
    end
  end
end
